
<?if( ($_SERVER['REMOTE_ADDR'] != $this->irodaip || !strstr($_SERVER['HTTP_USER_AGENT'],RENDSZER)) && false ):?>

<script type="text/javascript" src="/public/js/prototype.js"></script>
<script type='text/javascript'>
jQuery(document).ready(function($){
	
	// következő kiválasztás
	$('.tovabbgomb').click(function(){
		var ertek = $(this).attr('title');
		var szint = $(this).attr('szint');
		
		location.href="/render/valaszt/"+szint+"/"+ertek;
		
		varakozas();
		
		return false;
	});
	
});
</script>


<style>

#kepekkeret img:hover{
	border: 2px solid orange;
}

img.nagyito{
	position: relative;
	left: 120px;
	top: 10px;
}

img.lehetoseg{
	padding: 5px;
	opacity: 50;
	width: 120px;
	height: 90px;
}

img.aktiv{
	border: 2px solid red;
}

table{
	margin: auto !important;
}

td.td_tovabb{
	 vertical-align: bottom;
	 padding-bottom: 10px;
}

td.td_info{
	width: 100px;
	padding-top: 15px;
	vertical-align: top;
}


</style>



<div id="kepekkeret" style="margin-top: -60px; height: 650px;">

<div id="lepes1">
<table cellpadding="0" cellspacing="0" border="0">
<tr>
<td class="td_info">
	<strong>1/4. <?=lang('render_lepes')?>:</strong><br /><br />
	<?=lang('render_valaszt1')?>
</td>
<?usort($_SESSION['webrender']['lehetosegek'][1], 'hasonlito');?>
<td class="td_info"><?=lang('render_valaszt1')?></td>
<?foreach($_SESSION['webrender']['lehetosegek'][1] as $lehetoseg):?>
<td valign="top" width="10">
</td>
<td valign="top">
<a href="/public/render/temp/<?=$lehetoseg[0]?>" class="fancy">
	<img src="/public/render/temp/elo_<?=$lehetoseg[0]?>" class="lehetoseg <?if($_SESSION['webrender']['aktiv'][1] == $lehetoseg[1] ):?> aktiv<?endif;?>" onclick="bejelol('<?=$lehetoseg[1]?>',1)" id="lehetid1<?=$lehetoseg[1]?>" />
</a>
</td>
<?endforeach;?>
<td class="td_tovabb">
	<div class="gombst tovabbgomb" style="background: url('/public/img/forum/stilus/button_normal.png'); width: 110px; cursor: pointer;" title="<?=$_SESSION['webrender']['aktiv'][1]?>" szint="2" id="tovabbgomb1" ><?if(hun()):?>Tovább<?else:?>More<?endif;?> >></div>
</td>
</tr>
</table>
</div>



<?if(isset($_SESSION['webrender']['lehetosegek'][2])):?>
<div id="lepes2">
<table cellpadding="0" cellspacing="0" border="0">
<tr>
<td class="td_info">
	<strong>2/4. <?=lang('render_lepes')?>:</strong><br /><br />
	<?=lang('render_valaszt2')?>
</td>
<?usort($_SESSION['webrender']['lehetosegek'][2], 'hasonlito');?>
<td class="td_info"><?=lang('render_valaszt2')?></td>
<?foreach($_SESSION['webrender']['lehetosegek'][2] as $lehetoseg):?>
<td valign="top" width="10">
</td>
<td valign="top">
<a href="/public/render/temp/<?=$lehetoseg[0]?>" class="fancy">
	<img src="/public/render/temp/elo_<?=$lehetoseg[0]?>" class="lehetoseg <?if($_SESSION['webrender']['aktiv'][2] == $lehetoseg[1] ):?> aktiv<?endif;?>" onclick="bejelol('<?=$lehetoseg[1]?>',2)" id="lehetid2<?=$lehetoseg[1]?>" />
</a>
</td>
<?endforeach;?>
<td class="td_tovabb">
	<div class="gombst tovabbgomb" style="background: url('/public/img/forum/stilus/button_normal.png'); width: 110px; cursor: pointer;" title="<?=$_SESSION['webrender']['aktiv'][2]?>" szint="3" id="tovabbgomb2" ><?if(hun()):?>Tovább<?else:?>More<?endif;?> >></div>
</td>
</tr>
</table>
</div>
<?endif;?>



<?if(isset($_SESSION['webrender']['lehetosegek'][3])):?>
<div id="lepes3">
<table cellpadding="0" cellspacing="0" border="0">
<tr>
<td class="td_info">
	<strong>3/4. <?=lang('render_lepes')?>:</strong><br /><br />
	<?=lang('render_valaszt3')?>
</td>
<?usort($_SESSION['webrender']['lehetosegek'][3], 'hasonlito');?>
<td class="td_info"><?=lang('render_valaszt3')?></td>
<?foreach($_SESSION['webrender']['lehetosegek'][3] as $lehetoseg):?>
<td valign="top" width="10">
</td>
<td valign="top">
<a href="/public/render/temp/<?=$lehetoseg[0]?>" class="fancy">
	<img src="/public/render/temp/elo_<?=$lehetoseg[0]?>" class="lehetoseg <?if($_SESSION['webrender']['aktiv'][3] == $lehetoseg[1] ):?> aktiv<?endif;?>" onclick="bejelol('<?=$lehetoseg[1]?>',3)" id="lehetid3<?=$lehetoseg[1]?>" />
</a>
</td>
<?endforeach;?>
<td class="td_tovabb">
	<div class="gombst tovabbgomb" style="background: url('/public/img/forum/stilus/button_normal.png'); width: 110px; cursor: pointer;" title="<?=$_SESSION['webrender']['aktiv'][3]?>" szint="4" id="tovabbgomb3" ><?if(hun()):?>Tovább<?else:?>More<?endif;?> >></div>
</td>
</tr>
</table>
</div>
<?endif;?>








<?if(isset($lehetosegekv3aaaa)):?>
<br />{+-}sigmoidal-contrast<br />
<table cellpadding="0" cellspacing="0" border="0">
<tr>
<?usort($lehetosegekv3, 'hasonlito');?>
<?foreach($lehetosegekv3 as $lehetoseg):?>
<td valign="top" width="1">
<a href="/public/render/temp/<?=$lehetoseg[0]?>" class="fancy" rel="group">
	<img class="nagyito" src="/public/img/forum/stilus/icon_edit.png" />
</a>
</td>
<td valign="top">
<a href="/render/valaszt/<?=$kov?>/<?=$lehetoseg[1]?>" onclick="varakozas()">
	<?if( file_exists('public/render/temp/elo_'.$lehetoseg[0]) ):?>
	<img src="/public/render/temp/elo_<?=$lehetoseg[0]?>" class="lehetoseg <?if($aktiv == $lehetoseg[1] ):?> aktiv<?endif;?>" />
	<?else:?>
	<img src="/public/render/temp/<?=$lehetoseg[0]?>" class="lehetoseg <?if($aktiv == $lehetoseg[1] ):?> aktiv<?endif;?>" />
	<?endif;?>
</a>
</td>
<?endforeach;?>
</tr>
</table>
<?endif;?>

<?if($kov>2):?>
<div class="gombst" style="background: url('/public/img/forum/stilus/button_back.png'); width: 110px; cursor: pointer;" onclick="location.href='/render/valaszt/<?=($kov-2)?>/<?=$_SESSION['webrender']['aktiv'][($kov-3)]?>'">
	<?=lang('back')?>
</div>
<?endif;?>


<div id="message"></div>

</div>



<script type="text/javascript">
	function bejelol(ertek,szint){
		
		for(var i=((szint-1)*5);i<(szint*5);i++){
			document.images[i].style.border = "0px none";
		}
		
		
		document.getElementById('tovabbgomb'+szint).title=ertek;
		document.getElementById('lehetid'+szint+ertek).style.border = "2px solid #f00";
		
		// későbbi szintek elrejtése
		for(var j=(szint+1);j<=3;j++){
			document.getElementById('lepes'+j).style.display = "none";
		}
	}
	
	
	function varakozas(){
		var message = jQuery('#message');
		message.html('<?=$this->lang->line('downloads_wait')?>');
	}
</script>


<?
function hasonlito( $a, $b ){
	if ( $a[1] == $b[1] )
		return 0;
	if ( $a[1] < $b[1] )
		return -1;
	return 1;
}
?>













<?else:?>



<iframe src="http://archline.hu/render/session" style="border: medium none; width: 0px; height: 0px; display: none;" frameborder="0" scrolling="no"></iframe>

<script type="text/javascript" src="/public/js/prototype.js"></script>
<script type='text/javascript'>
jQuery(document).ready(function($){
	
	// következő kiválasztás
	$('.tovabbgomb').live('click', function(){
		var ertek = $(this).attr('title');
		var szint = $(this).attr('szint');
		
		if(szint == 4)
			location.href="/render/valaszt/"+szint+"/"+ertek;
		else
			getHTML(szint,ertek);
		
		$('.tovabbgomb').each(function(){
			if( szint >= $(this).attr('szint') ){
				$(this).css({ 'display': 'none' });
			}
			else{
				$(this).css({ 'display': '' });
			}
		});
		
		
		return false;
	});
	
	function getHTML(szint,ertek){
		var url = '/render/valaszt/'+szint+'/'+ertek;
		
		var myAjax = new Ajax.Updater( {success: 'lepes'+szint}, url, { onFailure: reportError, onComplete: function(){ XmlHttpReady(); $('#lepes'+szint).css({'display': ''}); } });
		
	}

	function reportError(request){
		alert('Hiba a betöltéskor!');
	}
	
	
	function XmlHttpReady(){
		
		$("a").fancybox({
			'transitionIn'  : 'none',
			'transitionOut' : 'none',
			'titlePosition' : 'over',
			'titleFormat'   : function(title, currentArray, currentIndex, currentOpts) {
				return '<span id="fancybox-title-over">Image ' +  (currentIndex + 1) + ' / ' +
			
			currentArray.length + '</span>';
			}
		});
	}
	
	<?if( true || $_SERVER['REMOTE_ADDR'] == "145.236.10.250" && strstr($_SERVER['HTTP_USER_AGENT'],"inux") ):?>
	$('.lehetoseg').live('click', function(){
		var szint = $(this).attr('szint');
		alert("szint: "+szint);
		
		$('.tovabbgomb').each(function(){
			if( szint >= $(this).attr('szint') ){
				$(this).css({ 'display': '' });
			}
			else{
				$(this).css({ 'display': 'none' });
			}
		});
	});
	
	
	$('.vissza').live('click', function(){
		var szint = $(this).attr('szint');
		
		$('.tovabbgomb').each(function(){
			if( (szint-1) == $(this).attr('szint') ){
				$(this).css({ 'display': '' });
			}
		});
	});
	<?endif;?>
	
});

</script>



<style>

#kepekkeret img:hover{
	border: 2px solid orange;
}

img.nagyito{
	position: relative;
	left: 120px;
	top: 10px;
}

img.lehetoseg{
	padding: 5px;
	width: 120px;
	height: 90px;
}

img.aktiv{
	border: 2px solid red;
}

table{
	margin: auto !important;
}

td.td_tovabb{
	 vertical-align: bottom;
	 padding-bottom: 10px;
	 width: 130px;
}

td.td_info{
	width: 100px;
	padding-top: 15px;
	vertical-align: top;
}

div.vissza{
	background: url('/public/img/forum/stilus/button_back.png');
	width: 110px;
	cursor: pointer;
	margin-bottom: 5px;
}


</style>




<div id="kepekkeret" style="margin-top: -60px; height: 650px;">
<div id="lepes1">
<table cellpadding="0" cellspacing="0" border="0">
<tr>
<td class="td_info">
	<strong>1/4. <?=lang('render_lepes')?>:</strong><br /><br />
	<?=lang('render_valaszt1')?>
</td>
<?foreach($_SESSION['webrender']['lehetosegek'][1] as $lehetoseg):?>
<td valign="top" width="10">
</td>
<td valign="top">
<a href="/public/render/temp/<?=$lehetoseg[0]?>" class="fancy">
	<img src="/public/render/temp/elo_<?=$lehetoseg[0]?>" class="lehetoseg<?if($_SESSION['webrender']['aktiv'][1] == $lehetoseg[1] ):?> aktiv<?endif;?>" onclick="bejelol('<?=$lehetoseg[1]?>',1)" id="lehetid1<?=$lehetoseg[1]?>" szint="2" />
</a>
</td>
<?endforeach;?>
<td class="td_tovabb">
	<div class="gombst tovabbgomb" style="background: url('/public/img/forum/stilus/button_normal.png'); width: 110px; cursor: pointer;" title="<?=$_SESSION['webrender']['aktiv'][1]?>" szint="2" id="tovabbgomb1" ><?=lang('render_tovabb')?> >></div>
</td>
</tr>
</table>
</div>



<div id="lepes2">
</div>




<div id="lepes3">
</div>



<?if($kov>2):?>
<div class="gombst" style="background: url('/public/img/forum/stilus/button_back.png'); width: 110px; cursor: pointer;" onclick="location.href='/render/valaszt/<?=($kov-2)?>/<?=$_SESSION['webrender']['aktiv'][($kov-3)]?>'">
	<?=lang('back')?>
</div>
<?endif;?>


<div id="message"></div>

</div>






<script type="text/javascript">
	function bejelol(ertek,szint){
		
		for(var i=((szint-1)*<?=$this->lehetosegek?>);i<(szint*<?=$this->lehetosegek?>);i++){
			document.images[i].style.border = "0px none";
		}
		
		
		document.getElementById('tovabbgomb'+szint).title=ertek;
		document.getElementById('tovabbgomb'+szint).style.display = "";
		document.getElementById('lehetid'+szint+ertek).style.border = "2px solid #f00";
		
		// későbbi szintek elrejtése
		for(var j=(szint+1);j<=3;j++){
			document.getElementById('lepes'+j).style.display = "none";
		}
	}
	
	
	function varakozas(){
		var message = jQuery('#message');
		message.html('<?=$this->lang->line('downloads_wait')?>');
	}
	
	function varakozasvege(){
		var message = jQuery('#message');
		message.html('');
	}
</script>



<?endif;?>